Bug 1136145 - Yast2 Support Center Opens An Invalid URL
Yast2 Support Center Opens An Invalid URL
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
x86-64 Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
https://trello.com/c/WjJNyTQz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-24 01:09 UTC by Ryan Todd
Modified: 2019-07-19 22:39 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Shows the invalid URL being opened. (156.29 KB, image/png)
2019-05-24 01:09 UTC, Ryan Todd
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Todd 2019-05-24 01:09:03 UTC
Created attachment 805912 [details]
Shows the invalid URL being opened.

In Yast2 when clicking on Support > Open it goes to an invalid URL file:///home/user/'http://scc.suse.com/tickets'

This is the same occurrence in KDE and Xfce versions of Tumbleweed. I've tested this on three different machines. All of them open this invalid URL.
Comment 1 Martin Vidner 2019-05-24 11:52:28 UTC
Thanks for the report!

The bug occurs because we incorrectly quote the URL twice:
at https://github.com/yast/yast-support/blob/8415296fbe85c0c9d533257a5087bc69705bc2ee/src/include/support/dialogs.rb#L157
and
at https://github.com/yast/yast-support/blob/8415296fbe85c0c9d533257a5087bc69705bc2ee/src/include/support/dialogs.rb#L177

SLES15-SP1 is no doubt also affected
Comment 3 Swamp Workflow Management 2019-07-03 22:19:52 UTC
SUSE-RU-2019:1736-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1136145
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    yast2-support-4.1.1-9.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.